Update a Team
Update a Team's details.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
organizationId
The ID of the Organization to which the Team belongs.
teamId
The ID of the Team to update.
Request
This endpoint expects an object.
name
The Team's name.
description
The Team's description.
Response
OK
createdAt
The time when the Team was created in UTC, formatted as YYYY-MM-DDTHH:MM:SSZ.
id
The Team's ID.
isIdpManaged
Whether the Team is managed by an identity provider (IdP).
name
The Team's name.
organizationId
The ID of the Organization to which the Team belongs.
organizationRole
The Team's Organization role.
updatedAt
The time when the Team was last updated in UTC, formatted as YYYY-MM-DDTHH:MM:SSZ.
createdBy
dagRoles
The Team's role in each DAG it belongs to.
deploymentRoles
The Team's role in each Deployment it belongs to.
description
The Team's description.
rolesCount
The number of roles the Team has.
updatedBy
workspaceRoles
The Team's role in each Workspace it belongs to.
Errors
400
Update Team Body Bad Request Error
401
Update Team Body Unauthorized Error
403
Update Team Body Forbidden Error
404
Update Team Body Not Found Error
500
Update Team Body Internal Server Error